SRC/dladiv.f(3)

NAME
SRC/dladiv.f

SYNOPSIS

  Functions/Subroutines
subroutine dladiv (a, b, c, d, p, q)
DLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.
subroutine dladiv1 (a, b, c, d, p, q)
double precision function dladiv2 (a, b, c, d, r, t)

Function/Subroutine Documentation

  subroutine dladiv (double precision a, double precision b, double precision c, double precision d, double precision p, double precision q)

DLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Purpose:

    !>
    !> DLADIV performs complex division in  real arithmetic
    !>
    !>                       a + i*b
    !>            p + i*q = ---------
    !>                       c + i*d
    !>
    !> The algorithm is due to Michael Baudin and Robert L. Smith
    !> and can be found in the paper
    !>
    !>

Parameters
    A

    !>          A is DOUBLE PRECISION
    !>

    B

    !>          B is DOUBLE PRECISION
    !>

    C

    !>          C is DOUBLE PRECISION
    !>

    D

    !>          D is DOUBLE PRECISION
    !>          The scalars a, b, c, and d in the above expression.
    !>

    P

    !>          P is DOUBLE PRECISION
    !>

    Q

    !>          Q is DOUBLE PRECISION
    !>          The scalars p and q in the above expression.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 90 of file dladiv.f.

  subroutine dladiv1 (double precision a, double precision b, double precision c, double precision d, double precision p, double precision q)

Definition at line 176 of file dladiv.f.

  double precision function dladiv2 (double precision a, double precision b, double precision c, double precision d, double precision r, double precision t)

Definition at line 215 of file dladiv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.